CVS update: php3
| From: | sas | Date: | Mon, 28 Jun 1999 20:28:45 +0000 |
| Subject: | CVS update: php3 | ||
| Groups: | php.dev | ||
| Request: | Send a blank email to php-dev+get-7712@lists.php.net to get a copy of this message | ||
Date: Monday June 28, 1999 @ 16:28
Author: sas
Update of /repository/php3
In directory php:/tmp/cvs-serv17475
Modified Files:
build-script
Log Message:
add make test
Index: php3/build-script
diff -u php3/build-script:1.2 php3/build-script:1.3
--- php3/build-script:1.2 Mon Jun 28 13:41:28 1999
+++ php3/build-script Mon Jun 28 16:28:45 1999
@@ -1,6 +1,6 @@
#! /bin/sh
#
-# another build script ($Id: build-script,v 1.2 1999/06/28 17:41:28 sas Exp $)
+# another build script ($Id: build-script,v 1.3 1999/06/28 20:28:45 sas Exp $)
#
# you can put this in your crontab
# redirect STDOUT to /dev/null, error messages are on STDERR
@@ -33,7 +33,10 @@
mailto="foo@bar.baz"
# whether the script shall perform a CVS update
update_cvs=1
+# want to run make test?
+make_test=1
+
die ( ) {
echo $* 1>&2
exit 1
@@ -70,6 +73,15 @@
) > $log 2>&1
}
+make_test ( ) {
+ log=logtest
+
+ ( \
+ (cd comp-cgi && make test) || \
+ alarm ../$log "make test failed" \
+ ) > $log 2>&1
+}
+
test -f configure.in || die "cannot find sources."
test -f "$config_file" || die "cannot find $config_file."
@@ -83,3 +95,6 @@
test -n "$apache_src" && \
try_compile apache --with-apache="$apache_src"
try_compile cgi
+
+test -n "$make_test" && test -f comp-cgi/php && \
+ make_test